{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   
        <div class="page-wrapper">
            
            <div class="container-fluid">
                <div class="row">
                    <div class="container">
                        <center>
                            {% if error %}
                            <p class=error><strong>Error:</strong> {{ error }}
                            {% endif %}
                            <br>
                            {% with messages = get_flashed_messages(with_categories=true) %}
                            {% if messages %}
                            <div class="alert alert-{{ messages.0.0 }}" role="alert">
                            {% for category, message in messages %}
                            {{ message }} </br>
                            {% endfor %}
                            *</div>
                            {% endif %}
                            {% endwith %}
                            </center>
                            <br>

                        <div class="card">
                            <div class="card-body">
                                <form class="form-horizontal form-material" method="POST">
                                    {{ form.csrf_token }}

                                    <div class="form-group">
                                        <label class="col-md-12">Current password : </label>
                                        <div class="col-md-12">
                                            {{ form.current_password(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                        {% for error in form.current_password.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-12">New Password : </label>
                                        <div class="col-md-12">
                                            {{ form.new_password(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                        {% for error in form.new_password.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-12">Confirm Password : </label>
                                        <div class="col-md-12">
                                            {{ form.confirm_password(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                        {% for error in form.confirm_password.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                    </div>
                                    <div class="form-group">
                                        <div class="col-md-12">
                                            <button class='btn pull-left btn-dark' type='submit'><i class="m-r-10 mdi mdi-content-save"></i> Save</button>
                                        </div>
                                       
                                    </div>
                                
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    {% endblock content %}
